-include $(STAGINGDIR)/components.config

ifeq ($(COVERAGE),y)
CFLAGS +=-fprofile-arcs -ftest-coverage
LDFLAGS += -fprofile-arcs -ftest-coverage
endif

OBJECTS = parse_args.o \
          pcb_sysutils.o \
          pcb_sysbus.o \
          pcb_sysbus_rpc.o \
          pcb_sysdatamodel.o \
          pcb_sysprocesses.o \
          pcb_sysbus_mtk.o \
          pcb_sysdebug.o \
          pcb_sysdebug_verify.o \
          pcb_sysdispatching.o \
          pcb_sysrequesthandlers.o \


CFLAGS += -Werror -Wall -Wextra -g -fPIC -I../include_priv -I$(STAGINGDIR)/include $(shell pkg-config --cflags pcb usermngt)
LDFLAGS += -L$(STAGINGDIR)/lib $(shell pkg-config --libs pcb usermngt)

ifeq ($(CONFIG_PCB_SYSBUS_LXC_SUPPORT),y)
	CFLAGS += $(shell pkg-config --cflags lxc)
	LDFLAGS += -lcap $(shell pkg-config --libs lxc)
endif

all: pcb_sysbus

pcb_sysbus: $(OBJECTS)
	$(CC) -o $@ $(OBJECTS) $(LDFLAGS)

-include $(OBJECTS:.o=.d)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<
	@$(CC) $(CFLAGS) -MM -MP -MT '$(@) $(@:.o=.d)' -MF $(@:.o=.d) $(<)

clean:
	rm -f $(OBJECTS) pcb_sysbus
	rm -f *.d

.PHONY: all clean
